Package com.tableau.hyperapi

## Enum CreateMode

- java.lang.Object
- - java.lang.Enum<CreateMode>
  - - com.tableau.hyperapi.CreateMode

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<CreateMode>`

      public enum CreateMode
      extends java.lang.Enum<CreateMode>

  Database creation behavior during connection establishing.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CREATE` | Create the database.
    `CREATE_AND_REPLACE` | Create and replace the database.
    `CREATE_IF_NOT_EXISTS` | Create the database if it doesn't exist.
    `NONE` | Do not create the database.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CreateMode` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static CreateMode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final CreateMode NONE

      Do not create the database. Method will fail if database doesn't exist.

    - #### CREATE

          public static final CreateMode CREATE

      Create the database. Method will fail if the database already exists.

    - #### CREATE_IF_NOT_EXISTS

          public static final CreateMode CREATE_IF_NOT_EXISTS

      Create the database if it doesn't exist. Method will not fail if the database already exists.

    - #### CREATE_AND_REPLACE

          public static final CreateMode CREATE_AND_REPLACE

      Create and replace the database. Method will replace the database if it already exists.

  - ### Method Detail

    - #### values

          public static CreateMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CreateMode c : CreateMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CreateMode valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null